Subject: [bug#43920] [SHEPHERD PATCH] shepherd: Move log file to XDG_CACHE_DIR.

From: Leo Prikler <[email-masked]>
Date: Sat, 24 Oct 2020 00:17:22 +0200

> The previous location wasn’t perfect, but the proposed one isn’t
> great
> either: one can generally assume “rm -rf ~/.cache” won’t lose
> anything
> that cannot be reconstructed, and the log is something that cannot be
> reconstructed.
That is actually not part of the XDG specification – it merely states,
that non-essential files be put there.  Whether or not one considers
the shepherd log essential is debatable.

You could alternatively put it under $XDG_DATA_HOME.  Some projects
like Xorg seem to do that.  Of course, there always remains the option
of having yet another environment variable or command line parameter
for the placement of the log file.

Regards, Leo